#!/bin/csh

# get sterol tilt angle distribution
# call program 
# ./dist.csh (last #) (first #)

# conbine all sterols data files into one master file
rm -f ?-tilt.dat ?-all-nc1.dat tb-tilt-nh.dat avg-tilt-nh.dat avg-tilt-nh-norm.dat

set last = $1 # last tilt data file
set first = $2 # first tilt data file

./combine.csh t $last $first # (leader) (last #) (first #)
./combine.csh b $last $first 

# XZ: Remove the first column as dist.exe/dist.c does not consider the non-binned values
awk '{$1=""}1' OFS=" " t-all.dat > t-all-nc1.dat
awk '{$1=""}1' OFS=" " b-all.dat > b-all-nc1.dat

dist.exe < top.inp
dist.exe < bot.inp

# remove first line (header)
awk 'NR>1 {print}' t-tilt.dat > t-tilt-nh.dat
awk 'NR>1 {print}' b-tilt.dat > b-tilt-nh.dat

# get average value between leaflets
paste t-tilt-nh.dat b-tilt-nh.dat | awk '{printf("%1.2lf %1.9lf %1.9lf\n",$1,$2,$4)}' > tb-tilt-nh.dat
awk '{printf("%1.2lf %1.9lf\n",$1,($2+$3)/2)}' tb-tilt-nh.dat > avg-tilt-nh.dat

# calculate sum of probability to make sure it equals 1
awk '{printf "%2.3lf\t%.7lf\t%.7lf\n",$1,$2,p+=$2}' avg-tilt-nh.dat > 1_sump.dat

rm -f t-all-nc1.dat b-all-nc1.dat t-tilt-nh.dat b-tilt-nh.dat tb-tilt-nh.dat



