#!/bin/csh
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --job-name=hyb1_sito_tilt
#SBATCH -t 00:30:00
#SBATCH --constraint="[ib|qib]"

unset noclobber
cd $SLURM_SUBMIT_DIR
module load openmpi/1.6
module load fftw/3.3.3/gnu/4.6.1/openmpi/1.6/shared
setenv LD_LIBRARY_PATH $FFTWLIB
# XZ: Turn off the mpi warning as infiniband is being used with the OFED verbs driver.
setenv OMPI_MCA_mpi_warn_on_fork 0

# In DT1
set chm = "/lustre/home/jbklauda/charmm/c39a2wxw/myc39a2/exec/gnu_M/gfortcol.om"
# In DT2
#set chm = "/lustre/xzhuang/software/charmm/c39a2/gnu_M/gfortcol.om"

set all = "/lustre/xzhuang/soybean/all_analyses_summary/tilt"

hostname

# INVOKE CHARMM
$chm N=$1 < tilt.inp > tilt.out
# GET DISTRIBUTION
# especify last and first tilt data file
./dist.csh $2 $3
# XZ: Remove previous summary data
rm -f $all/$4.dat
# COPY AVG DATA FILE TO COMMON DIRECTORY
cp -f avg-tilt-nh.dat $all/$4.dat
wait

rm -f t[1-9].dat t[1-9][0-9].dat t[1-3][0-9][0-9].dat
rm -f b[1-9].dat b[1-9][0-9].dat b[1-3][0-9][0-9].dat
